Debian Bug report logs - #145999
debiandoc-sgml: request for lettered items in list

version graph

Package: debiandoc-sgml; Maintainer for debiandoc-sgml is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml is src:debiandoc-sgml.

Reported by: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>

Date: Mon, 6 May 2002 11:48:49 UTC

Severity: wishlist

Found in version 1.1.59

Fixed in version debiandoc-sgml/1.1.77

Done: Ardo van Rangelrooij <ardo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org:
Bug#145999; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: debiandoc-sgml: request for lettered items in list
Date: Mon, 06 May 2002 08:39:58 -0300
Package: debiandoc-sgml
Version: 1.1.59
Severity: wishlist

In order to convert fdl.sgml from gnu.org from docbook to debiandoc, I
need a way of producing a list of items with letters as tags.  The
<enumlist> tag is almost but not quite what I need.  It uses numbers,
not letters.  I suppose <taglist> would work, but it would be tedious,
as all lettered tags would need to be specified explicitly instead
of being automatically generated, as docbook's
<orderedlist numeration="upperalpha"> does.

Keeping it simple, I would suggest you implement the numeration attribute
from docbook's <orderedlist> tag.  So:

                Numeration      (Arabic
                                |Upperalpha
                                |Loweralpha
                                |Upperroman
                                |Lowerroman)

Or abbreviate to "num".  Thus <enumlist num=upperalpha> would work for
the FDL.

Thanks,
Ben
-- 
 ,-.  nSLUG    http://www.nslug.ns.ca   synrg@sanctuary.nslug.ns.ca
 \`'  Debian   http://www.debian.org    synrg@debian.org
  `          [ gpg 395C F3A4 35D3 D247 1387 2D9E 5A94 F3CA 0B27 13C8 ]
             [ pgp 7F DA 09 4B BA 2C 0D E0 1B B1 31 ED C6 A9 39 4F ]





Reply sent to Ardo van Rangelrooij <ardo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 145999-close@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: 145999-close@bugs.debian.org
Subject: Bug#145999: fixed in debiandoc-sgml 1.1.77
Date: Sat, 29 Mar 2003 00:47:06 -0500
We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml, which is due to be installed in the Debian FTP archive:

debiandoc-sgml_1.1.77.dsc
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.77.dsc
debiandoc-sgml_1.1.77.tar.gz
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.77.tar.gz
debiandoc-sgml_1.1.77_all.deb
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.77_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 145999@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ardo van Rangelrooij <ardo@debian.org> (supplier of updated debiandoc-sgml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Fri, 28 Mar 2003 23:36:52 -0600
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.1.77
Distribution: unstable
Urgency: low
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Changed-By: Ardo van Rangelrooij <ardo@debian.org>
Description: 
 debiandoc-sgml - DebianDoc SGML DTD and formatting tools
Closes: 145999 147623
Changes: 
 debiandoc-sgml (1.1.77) unstable; urgency=low
 .
   * Added support for numbering style indication to <enumerate>
     (closes: Bug#145999)
   * Added support for numbering continuation indication to <enumerate>
     (closes: Bug#147623)
   * debian/control: added dependency on 'libroman-perl'
Files: 
 a4fa1be8e0a853be3798bfdedcc12fb8 629 text optional debiandoc-sgml_1.1.77.dsc
 c888123eb86563254954fd0983b7dbed 73255 text optional debiandoc-sgml_1.1.77.tar.gz
 6bd2535effee706fce85d7c643627d5a 71752 text optional debiandoc-sgml_1.1.77_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iQCVAwUBPoUxFT6XMRfcxSjpAQGhJQQA1F4S9rnRgJBdDibrvxYSQzYWLzbtHAW5
3mTYq0mtRkWGwEEDi/I/yIpq4fEDsVAOoQYrlorwyzxrBoTun7N4N+Wp2x8vSWQ9
z/8LM8ASCUNiEzQhYsd4g2e7njsxMDIDQyJK20eLEyUl0fm9to5FZTkUphRsR14m
UMjh/FN0kzY=
=q4fC
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:15:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.